package com.fjhx.xmhjc.entity.about.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 关于我们-荣誉资质
 * </p>
 *
 * @author lqh
 * @since 2023-11-13
 */
@Getter
@Setter
@TableName("about_us_honor")
public class AboutUsHonor extends BasePo {

    /**
     * 荣誉名称
     */
    private String honorName;

    /**
     * 1-无跳转地址 2-跳转第三方地址 3-跳转详情页面（通过id获取详情）
     */
    private String type;

    /**
     * 第三方地址
     */
    private String toUrl;

    /**
     * 详情页内容
     */
    private String detailsContent;

    private Integer sort;

    private String status;


}
