package com.fjhx.xmhjc.entity.carousel.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 轮播图管理
 * </p>
 *
 * @author hj
 * @since 2023-11-19
 */
@Getter
@Setter
@TableName("carousel_manager")
public class CarouselManager extends BasePo {

    /**
     * 标题
     */
    private String title;

    /**
     * 副标题
     */
    private String subTitle;

    /**
     * 跳转方式1=文章；2=外链
     */
    private String targetType;

    /**
     * 外链url
     */
    private String url;

    /**
     * 文章id
     */
    private Long articleId;

    private Integer sort;

    private String status;

    @TableField(value = "`modules`")
    private String modules;
}
