package com.fjhx.xmhjc.mapper.website;

import com.fjhx.xmhjc.entity.website.po.WebsiteUsers;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.website.vo.WebsiteUsersVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 首页用户 Mapper 接口
 * </p>
 *
 * @author hj
 * @since 2023-11-17
 */
public interface WebsiteUsersMapper extends BaseMapper<WebsiteUsers> {

    /**
     * 首页用户列表
     */
    List<WebsiteUsersVo> getList(@Param("ew") IWrapper<WebsiteUsers> wrapper);

    /**
     * 首页用户分页
     */
    Page<WebsiteUsersVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<WebsiteUsers> wrapper);

}
