package com.fjhx.xmhjc.mapper.product;

import com.fjhx.xmhjc.entity.product.po.ProductCategory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.product.vo.ProductCategoryVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 产品类目表 Mapper 接口
 * </p>
 *
 * @author hj
 * @since 2023-11-12
 */
public interface ProductCategoryMapper extends BaseMapper<ProductCategory> {

    /**
     * 产品类目表列表
     */
    List<ProductCategoryVo> getList(@Param("ew") IWrapper<ProductCategory> wrapper);

    /**
     * 产品类目表分页
     */
    Page<ProductCategoryVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProductCategory> wrapper);

}
