package com.fjhx.xmhjc.mapper.product;

import com.fjhx.xmhjc.entity.product.po.ProductSubCategory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.product.vo.ProductSubCategoryVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 产品类目表 Mapper 接口
 * </p>
 *
 * @author hj
 * @since 2023-11-16
 */
public interface ProductSubCategoryMapper extends BaseMapper<ProductSubCategory> {

    /**
     * 产品类目表分页
     */
    Page<ProductSubCategoryVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProductSubCategory> wrapper);

    void deleteByParentId(Long parentId);
}
